summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Jostein Berntsen2011-07-05 13:51:44 +0200
committer Niels Horn2011-07-05 13:51:44 +0200
commit4eae4060177e10cb9d470a5fff55854c55db9b81 (patch)
treebad98bea0c1b028b5c3420b97cbc74ef0434d6cb /office
parent1fb3adad33841a8268d2fa07682144e027b710f6 (diff)
downloadslackbuilds-4eae4060177e10cb9d470a5fff55854c55db9b81.tar.gz
office/mairix: Added (fast mail indexer and search tool)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/mairix/README5
-rw-r--r--office/mairix/mairix.SlackBuild79
-rw-r--r--office/mairix/mairix.info10
-rw-r--r--office/mairix/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/office/mairix/README b/office/mairix/README
new file mode 100644
index 0000000000..bcff965e32
--- /dev/null
+++ b/office/mairix/README
@@ -0,0 +1,5 @@
+mairix is a program for indexing and searching email messages stored in
+maildir, MH or mbox folders. Some features are fast and incremental
+indexing, the search mode populates a "virtual" maildir (or MH) folder with
+symlinks which point to the real messages, the search mode is very fast,
+indexing and searching works on the basis of words.
diff --git a/office/mairix/mairix.SlackBuild b/office/mairix/mairix.SlackBuild
new file mode 100644
index 0000000000..138a332cbf
--- /dev/null
+++ b/office/mairix/mairix.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for mairix
+
+# Written by Jostein Berntsen <jbernts@broadpark.no>
+
+
+PRGNAM=mairix
+VERSION=${VERSION:-0.22}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ACKNOWLEDGEMENTS COPYING README INSTALL NEWS dotmairixrc.eg \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/mairix/mairix.info b/office/mairix/mairix.info
new file mode 100644
index 0000000000..6adaa9e90a
--- /dev/null
+++ b/office/mairix/mairix.info
@@ -0,0 +1,10 @@
+PRGNAM="mairix"
+VERSION="0.22"
+HOMEPAGE="http://www.rpcurnow.force9.co.uk/mairix/"
+DOWNLOAD="http://prdownloads.sourceforge.net/mairix/mairix-0.22.tar.gz"
+MD5SUM="6c6aaca19c2b2de3bf567b856705ce1a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jostein Berntsen"
+EMAIL="jbernts@broadpark.no"
+APPROVED="Niels Horn"
diff --git a/office/mairix/slack-desc b/office/mairix/slack-desc
new file mode 100644
index 0000000000..011a00c957
--- /dev/null
+++ b/office/mairix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mairix: mairix (fast mail indexer and search tool)
+mairix:
+mairix: mairix is a fast mail indexer and search tool for the console. mairix
+mairix: can be used together with mutt for very fast searching in emails.
+mairix:
+mairix:
+mairix:
+mairix: http://www.rpcurnow.force9.co.uk/mairix
+mairix:
+mairix:
+mairix: